Skip to main content
`Ctrl`+`K`

# PEPSetFromOptions

Sets `PEP` options from the options database. This routine must be called before `PEPSetUp()` if the user is to be allowed to configure the solver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetFromOptions(PEP pep)

Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Note

To see all options, run your program with the `-help` option.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetOptionsPrefix()`

## Level

beginner

## Location

src/pep/interface/pepopts.c

## Examples

src/pep/tutorials/ex40.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex17.c
src/pep/tutorials/ex16.c
src/pep/tutorials/ex50.c
src/pep/tutorials/ex28.c

## Implementations

PEPSetFromOptions_CISS() in src/pep/impls/ciss/pciss.c
PEPSetFromOptions_JD() in src/pep/impls/jd/pjd.c
PEPSetFromOptions_QArnoldi() in src/pep/impls/krylov/qarnoldi/qarnoldi.c
PEPSetFromOptions_STOAR() in src/pep/impls/krylov/stoar/stoar.c
PEPSetFromOptions_TOAR() in src/pep/impls/krylov/toar/ptoar.c
PEPSetFromOptions_Linear() in src/pep/impls/linear/linear.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages